Subject: [pim] Adoption of draft-zzp-pim-rfc4601-update-survey-report-00.txt as a pim wg work item

From: Stig Venaas <[email-masked]>
Date: Wed, 06 Feb 2013 15:37:07 -0800

As we've decided long ago in the wg, we need to address the 4601 errata
and we want to progress 4601 on standards track. As part of this we need
to have an implementation report. We did a survey and the results are
collected in

draft-zzp-pim-rfc4601-update-survey-report-00.txt

I think it makes sense to work towards publishing the survey results as
an RFC. We did this with e.g. RFC 4601. See RFC 4602. If we want to
publish the report as an RFC, then I think we should first adopt it as
a WG work item, and do the usual WG process to make sure it is in the
shape we want it to be before publication.

This is an adoption call to see if we should adopt the survey report
at this stage. If you think it makes sense to have it as a WG item, and
it is of sufficient quality, then consider voting yes. If you believe we
should not push this through as a WG item, or it is of insufficient
quality at this point, then you probably want to vote no.

I hope this is sufficient background. So based on this, please respond
and state whether we should adopt this document as a WG item at this
point.

Please respond by February 20th.

Stig

---

From: John William Atwood <[email-masked]>
Date: Wed, 06 Feb 2013 20:04:54 -0500

I believe that this document is ready for adoption as a WG item.

  Bill

On 2/6/2013 6:37 PM, Stig Venaas wrote:
> _______________________________________________
> pim mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pim

-- 
Dr. J.W. Atwood, Eng.             tel:   +1 (514) 848-2424 x3046
Distinguished Professor Emeritus  fax:   +1 (514) 848-2830
Department of Computer Science
   and Software Engineering
Concordia University EV 3.185     email:[email-masked]
1455 de Maisonneuve Blvd. West    http://users.encs.concordia.ca/~bill
Montreal, Quebec Canada H3G 1M8

---

From: Bharat Joshi <[email-masked]>
Date: Tue, 12 Feb 2013 06:10:30 +0000

Hi,

      I support adoption of this draft. I have few questions/suggestions as mentioned below.

Regards,
Bharat

Questions/Suggestions:

1. In abstract:

   This document provides supporting documentation to advance the
   Protocol Independent Multicast - Sparse Mode (PIM-SM) routing
   protocol from IETF Proposed Standard to Internet Standard

Should we use the term 'multicast routing protocol' instead of just 'routing protocol'?

2. If we decide to change the above, there are some other places where we use 'routing protocol' so please review the same and see if we want to change them as well.

3. In section 2.2.2,  Small typo in " deployments ofeither "

4. In section 2.2.2, "or Pim Multicast Border" -> "or PIM Multicast Border"

5. In section 2.2.3, "The number of Sparse-Mode RPs deployed", I am not sure what we mean by 'Sparse-Mode RPs'. Is this term defined somewhere else?

6. In section 2.2.3, I did not get the difference of the two in the following sentence:

Two operator have deployed Anycast-RP using MSDP and three operators
deploy both MSDP and PIM-SM Anycast-RP. 

In the second case, what was MSDP used for?

7. In section 2.3.1, can we rework the following sentence a little:

Four vendors have reported implementations based on [RFC4601] and two
have implemented PIM Sparse-Mode based on [RFC2362]

to something like:

Four vendors have PIM Sparse-Mode implementations based on [RFC4601]. Two vendors
have PIM Sparse-Mode implementations based on [RFC2362].

________________________________________
From: [email-masked] [[email-masked]] on behalf of Stig Venaas [[email-masked]]
Sent: Thursday, February 07, 2013 5:07 AM
To: [email-masked]
Subject: [pim] Adoption of draft-zzp-pim-rfc4601-update-survey-report-00.txt as a pim wg work item

Stig

**************** CAUTION - Disclaimer *****************
This e-mail contains PRIVILEGED AND CONFIDENTIAL INFORMATION intended solely 
for the use of the addressee(s). If you are not the intended recipient, please 
notify the sender by e-mail and delete the original message. Further, you are not 
to copy, disclose, or distribute this e-mail or its contents to any other person and 
any such actions are unlawful. This e-mail may contain viruses. Infosys has taken 
every reasonable precaution to minimize this risk, but is not liable for any damage 
you may sustain as a result of any virus in this e-mail. You should carry out your 
own virus checks before opening the e-mail or attachment. Infosys reserves the 
right to monitor and review the content of all messages sent to or from this e-mail 
address. Messages sent to or from this e-mail address may be stored on the 
Infosys e-mail system.
***INFOSYS******** End of Disclaimer ********INFOSYS***

---

From: Stig Venaas <[email-masked]>
Date: Tue, 12 Feb 2013 15:32:00 -0800

Dear WG

We have so far got only 2 responses to this. Please respond by the 20th.
We need more responses in order to make a decision.

Many thanks to those that responded!

Stig

---

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 15 Feb 2013 19:45:37 -0000

Hi Stig,

If I make so bold as to respond as a sometimes PIM participant: yes, I think
this is a valuable document for the WG to adopt.

As AD, I think moving 4601 forward and also resolving all the errata in a new
document are significantly important activities. This document is not required
to republish 4601 with all the fixes, but is needed to move 4601 forward. I
would encourage the WG to do that and show that PIM has come of age.

Cheers,
Adrian

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Stig
> Venaas
> Sent: 12 February 2013 23:32
> To: [email-masked]
> Subject: Re: [pim] Adoption of draft-zzp-pim-rfc4601-update-survey-report-
> 00.txt as a pim wg work item
> 
> Dear WG
>

---

From: "Jeffrey (Zhaohui) Zhang" <[email-masked]>
Date: Tue, 19 Feb 2013 22:19:24 +0000

Rishabh,

> In the second case, what was MSDP used for?

Is it that one is w/o MSDP and the other is w/ MSDP?

> 5. In section 2.2.3, "The number of Sparse-Mode RPs deployed", I am not
> sure what we mean by 'Sparse-Mode RPs'. Is this term defined somewhere
> else?

Should we remove the "Sparse-Mode"? Is there a need to emphasize it is not Bidir RP?

Thanks.
Jeffrey

> From: [email-masked] [mailto:[email-masked]] On Behalf Of
> Bharat Joshi
> Sent: Tuesday, February 12, 2013 1:11 AM
> To: [email-masked]
> Subject: Re: [pim] Adoption of draft-zzp-pim-rfc4601-update-survey-
> report-00.txt as a pim wg work item
> 
> Hi,
> 
>       I support adoption of this draft. I have few
> questions/suggestions as mentioned below.
> 
> Regards,
> Bharat
> 
> Questions/Suggestions:
> 
> 1. In abstract:
> 
> 2. If we decide to change the above, there are some other places where
> we use 'routing protocol' so please review the same and see if we want
> to change them as well.
> 
> 5. In section 2.2.3, "The number of Sparse-Mode RPs deployed", I am not
> sure what we mean by 'Sparse-Mode RPs'. Is this term defined somewhere
> else?
>

---

From: Bharat Joshi <[email-masked]>
Date: Mon, 25 Feb 2013 06:38:48 +0000

Jeffrey,

      I have got one more question.

      I was reading through RFC 2715 ( Interoperability Rules for Multicast Routing Protocols ). I understand that as per this survey, no vendor is using ( *,*, RP) functionality from PIM-SM and only one implementation of the same exist. Because of this, we might remove this functionality from PIM-SM spec.

      If we end up removing this functionality from PIM-SM spec then how will another multicast routing protocol will interact with a PIM-SM border router? For example: a domain has a stub network that runs PIM-DM internally but wants to receive traffic from external sources and the domain speaks PIM-SM.

Regards,
Bharat

________________________________________
From: [email-masked] [[email-masked]] on behalf of Jeffrey (Zhaohui) Zhang [[email-masked]]
Sent: Wednesday, February 20, 2013 3:49 AM
To: Rishabh Parekh (riparekh); [email-masked]
Subject: Re: [pim] Adoption of draft-zzp-pim-rfc4601-update-survey-report-00.txt as a pim wg work item

Rishabh,

Thanks.
Jeffrey